declare const _default: import("react-redux").ConnectedComponent<typeof ProfileLink, {
    onLogout?: unknown;
    context?: import("react-remove-scroll/node_modules/@types/react").Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: any;
}>;
export default _default;
declare function ProfileLink({ adminItems, canAccessOnboardingPage, isNewInstance, onLogout, showOnboardingLink, openDiagnostics, }: {
    adminItems: any;
    canAccessOnboardingPage: any;
    isNewInstance: any;
    onLogout: any;
    showOnboardingLink: any;
    openDiagnostics: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace ProfileLink {
    namespace propTypes {
        let adminItems: PropTypes.Requireable<any[]>;
        let canAccessOnboardingPage: PropTypes.Requireable<boolean>;
        let isNewInstance: PropTypes.Requireable<boolean>;
        let onLogout: PropTypes.Validator<(...args: any[]) => any>;
        let showOnboardingLink: PropTypes.Requireable<boolean>;
        let openDiagnostics: PropTypes.Validator<(...args: any[]) => any>;
    }
}
import PropTypes from "prop-types";
